/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.fon.silab.kontroler;

import java.util.ArrayList;
import java.util.List;
import javax.swing.JDialog;
import rs.fon.silab.domen.Osoba;
import rs.fon.silab.gui.IOsvezi;
import rs.fon.silab.repozitorijum.RepozitorijumOsoba;

/**
 *
 * @author student1
 */
public class Kontroler {
    private static Kontroler instance;
    private final RepozitorijumOsoba repozitorijumOsoba;
    private List<JDialog> forme;

    private Kontroler() {
        repozitorijumOsoba = new RepozitorijumOsoba();
        forme=new ArrayList<>();
    }

    public static Kontroler getInstance() {
        if(instance==null) instance=new Kontroler();
        return instance;
    }

    public void dodajOsobu(Osoba osoba) {
        repozitorijumOsoba.dodajOsobu(osoba);
        osveziForme();
    }

    public List<Osoba> vratiOsobe() {
        return repozitorijumOsoba.vratiOsobe();
    }
    
    public void registrujFormu(JDialog forma){
        forme.add(forma);
        ((IOsvezi) forma).azurirajPodatke();
    }

    private void osveziForme() {
        for (JDialog forma : forme) {
            ((IOsvezi) forma).azurirajPodatke();
        }
    }

    

}
