/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.fon.silab.kontroler;

import java.util.ArrayList;
import java.util.List;
import javax.swing.JDialog;
import rs.fon.silab.domen.Osoba;
import rs.fon.silab.gui.IOsvezi;
import rs.fon.silab.repozitorijum.RepozitorijumOsoba;

/**
 *
 * @author student1
 */
public class Kontroler {

    
    private final RepozitorijumOsoba repoOsoba;
    private List<IOsvezi> listaFormi;
    private static Kontroler instance;

    private Kontroler() {
        repoOsoba = new RepozitorijumOsoba();
        listaFormi = new ArrayList<>();
    }
    
    
    public static Kontroler getInstance() {
        if (instance == null) {
            instance = new Kontroler();
        }
        return instance;
    }
    
    
    public RepozitorijumOsoba getRepoOsoba() {
        return repoOsoba;
    }
    
    public void registrujFormu(IOsvezi forma) {
        listaFormi.add(forma);
        forma.osvezi();
    }

    public void dodajOsobu(Osoba o) {
        repoOsoba.dodajOsobu(o);
        for (IOsvezi forma : listaFormi) {
            forma.osvezi();
        }
    }
    
    
    
    
}
